<?php
defined('JPATH_BASE') or die();

class JElementJscomsectionsadv8 extends JElement
{
	/**
	 * Element name
	 *
	 * @access	protected
	 * @var		string
	 */
	var	$_name = 'jscomsectionsadv8';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$db	= & JFactory::getDBO();

		require_once (JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_resource'.DS.'library'.DS.'helper.php');
		
		if(!$value) $value = 0;
		$sections = $value;
		if(is_array($sections)) $sections = implode(', ', $sections);
		
		$sql = "SELECT id, name FROM #__js_res_category WHERE parent = '0' AND published = '1'";
		if($sections) 
		$sql .= " AND id IN ($sections)";
		$sql .= " ORDER BY ordering, id";
		
		$db->setQuery($sql);
		$res = $db->loadObjectList();
		$options = array();
		
		$post = JRequest::getVar('params');
		if(isset($post['sections'])) $value = $post['sections'];
		
		//$options[] = JHTML::_('select.option', '0', '- '.JText::_('All').' -');
		
		if(count($res) > 0)
		{
			foreach ($res as $val)
			{
				$CP = ResHelper::getSectionParams($val->id);
				if($CP->get('comm_enabled'))
				$options[] = JHTML::_('select.option', $val->id, $val->name);
				$ids[] = $val->id;
			}
		}
		$html	= JHTML::_('select.genericlist',  $options, "{$control_name}[{$name}]", 'class="inputbox"', 'value', 'text', $value);

		return $html;
	}
}