<?php
defined('_JEXEC') or die();

class JElementJscomproperty8 extends JElement
{
	function fetchElement($name, $value, &$node, $control_name)
	{
		global $mainframe;

		$db			=& JFactory::getDBO();

		$sql = "    SELECT t.id as type_id, t.name as type_name, f.id as field_id, f.title as field_name, f.type AS field_type"
		."\n      FROM #__js_res_types AS t"
		."\n LEFT JOIN #__js_res_fields AS f ON f.type_id = t.id"
		."\n     WHERE f.published = 1 
		    	AND f.type LIKE 'product_property%'"
		."\n  ORDER BY t.id"
		;
		 
		$db->setQuery( $sql );
		$result = $db->loadObjectList();
		
		$option_list = array();
		
		$post = JRequest::getVar('params');
		if(isset($post['field'])) $value = $post['field'];

		foreach( $result as $field ){
			$fields[$field->type_id]['name'] = $field->type_name;
			$fields[$field->type_id]['options'][] = JHTML::_( 'select.option', $field->field_id, $field->field_name.' ('.$field->field_type.')' );
		}

		$option_list[] = JHTML::_( 'select.option', '', ' - '.JText::_('Select field').' - ' );
		foreach( $fields as $key => $field ) {
			$option_list[] = JHTML::_( 'select.optgroup', $fields[$key]['name'] );
			$option_list = array_merge( $option_list, $fields[$key]['options'] );
		}

		$html	= JHTML::_( 'select.genericlist',  $option_list, "{$control_name}[{$name}]", 'class="inputbox"', 'value', 'text', $value );

		return $html;
	}
}
?>