<?php
/**
* @copyright Copyright (C) 2006 - 2010 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/
defined('JPATH_BASE') or die();

class JElementJscomsections7 extends JElement
{
	/**
	 * Element name
	 *
	 * @access	protected
	 * @var		string
	 */
	var	$_name = 'jscomsections7';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$db	= & JFactory::getDBO();

		require_once (JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_resource'.DS.'library'.DS.'helper.php');
		$sql = "SELECT id, name FROM #__js_res_category WHERE parent = '0' AND published = '1' ORDER BY ordering, id";
		$db->setQuery($sql);
		$res = $db->loadObjectList();
		$options = array();
		if(!$value) $value = 0;
		$options[] = JHTML::_('select.option', '0', '- '.JText::_('All').' -');
		if(count($res) > 0)
		{
			foreach ($res as $val)
			{
				$CP = ResHelper::getSectionParams($val->id);
				if($CP->get('comm_enabled'))
				$options[] = JHTML::_('select.option', $val->id, $val->name);
			}
		}
		$size = count($options) > 10 ? 10 : count($options);
		$html	= JHTML::_('select.genericlist',  $options, "{$control_name}[{$name}][]", 'class="inputbox" multiple size="'.$size.'"', 'value', 'text', $value);

		return $html;
	}
}